FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Namespaces | Functions
catch_event.cpp File Reference

Go to the source code of this file.

## Namespaces
namespace | ftxui
| The FTXUI ftxui:: namespace.

## Functions
Component | CatchEvent (Component child, std::function< bool(Event event)> on_event)
| Return a component, using |on_event| to catch events. This function must returns true when the event has been handled, false otherwise.
ComponentDecorator | CatchEvent (std::function< bool(Event)> on_event)
| Decorate a component, using |on_event| to catch events. This function must returns true when the event has been handled, false otherwise.